Organizations

Update user account status (activate or suspend)

Set a user's account status to active or suspended. Used to approve pending users or suspend/activate accounts. Cannot change status of an organization owner. Requires owner or admin role.

AuthBearer (JWT)
GroupOrganizations
Rate limitSee Rate Limits
PATCH/api/orgs/{orgId}/users/{userId}/status

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.updateUserAccountStatus(
  "usr_QFG0QpUY9fRJvK",
  "usr_Emwd9nEFhAtItC",
  {
    accountStatus: "firewall navigate"
  }
);
const { data: result } = await organizations.updateUserAccountStatus(
  "usr_QFG0QpUY9fRJvK",
  "usr_Emwd9nEFhAtItC",
  {
    accountStatus: "firewall navigate"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes
userIdstringYes

Request Body

json
{
  "accountStatus": "active"
}
{
  "accountStatus": "active"
}

Responses

200User status updated
json
{
  "message": "Stylish Keyboard designed to make you stand out with lively looks",
  "user": {
    "_id": "usr_2n1RpfJ9W2jILy",
    "email": "buster_pagac@northwind.dev",
    "firstName": "Sally",
    "lastName": "Beier",
    "accountStatus": "transmitter synthesize",
    "isActive": false
  }
}
{
  "message": "Stylish Keyboard designed to make you stand out with lively looks",
  "user": {
    "_id": "usr_2n1RpfJ9W2jILy",
    "email": "buster_pagac@northwind.dev",
    "firstName": "Sally",
    "lastName": "Beier",
    "accountStatus": "transmitter synthesize",
    "isActive": false
  }
}
400
401
403
404

Errors

CodeMeaning
400
401
403
404
Edit this page on GitHub